Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.space
Class DefaultLocation

    java.lang.Object
      org.ascape.model.space.DefaultLocation

All Implemented Interfaces:
  Location

Direct Known Subclasses:
  DefaultNode

    public class DefaultLocation

extends java.lang.Object
implements Location

The Class DefaultLocation.

Constructor Summary
`DefaultLocation()`

Method Summary
`void` | `clearDeleteMarker()` Clear delete marker.
`java.lang.Object` | `clone()` Clone.
`Coordinate` | `getCoordinate()` Gets the coordinate.
`void` | `initialize()` Initialize.
`boolean` | `isDelete()` Checks if is delete.
`void` | `markForDeletion()` Mark for deletion.
`void` | `setCoordinate(Coordinate coordinate)` Sets the coordinate.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLocation

    public DefaultLocation()

Method Detail

### clearDeleteMarker

    public void clearDeleteMarker()

  Description copied from interface: `Location`
  Clear delete marker.

  Specified by:
    `clearDeleteMarker` in interface `Location`

### getCoordinate

    public Coordinate getCoordinate()

  Description copied from interface: `Location`
  Gets the coordinate.

  Specified by:
    `getCoordinate` in interface `Location`
  Returns:
    the coordinate

### initialize

    public void initialize()

  Description copied from interface: `Location`
  Initialize.

  Specified by:
    `initialize` in interface `Location`

### isDelete

    public boolean isDelete()

  Description copied from interface: `Location`
  Checks if is delete.

  Specified by:
    `isDelete` in interface `Location`
  Returns:
    true, if is delete

### markForDeletion

    public void markForDeletion()

  Description copied from interface: `Location`
  Mark for deletion.

  Specified by:
    `markForDeletion` in interface `Location`

### setCoordinate

    public void setCoordinate(Coordinate coordinate)

  Description copied from interface: `Location`
  Sets the coordinate.

  Specified by:
    `setCoordinate` in interface `Location`
  Parameters:
    `coordinate` - the new coordinate

### clone

    public java.lang.Object clone()

  Description copied from interface: `Location`
  Clone.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD